Go Back   Cockos Incorporated Forums > REAPER Forums > REAPER for Linux

Reply
 
Thread Tools Display Modes
Old 11-19-2022, 05:44 AM   #481
Steve9600
Human being with feelings
 
Join Date: Aug 2022
Posts: 14
Default

Mikobuntu…
Avlinux is using a wine 6.22 I believe. This is because of the need for wineasio.

Btw what is [ann] stand for in the title of this thread?
Steve9600 is offline   Reply With Quote
Old 11-19-2022, 05:49 AM   #482
robbert-vdh
Human being with feelings
 
Join Date: Nov 2020
Posts: 253
Default

Quote:
Originally Posted by Steve9600 View Post
I ran into the problem with wine-staging 7.21 described in the release notes. Didn’t help.
I am on Debian 11.5 and using pipewire. So downgraded to 7.20 and everything works well.
I tried linvst and while it did the conversions Reaper will not pick them up on its scan.
So I like your program it works for me. Thanks for all the good work.
I’ll keep an eye out for a new update.
Yeah like I said, Wine 7.21 still breaks the builds up on GitHub. You may be able to it to work if you build it without the --unity=on flag and/or without VST3 support (since Wine 7.21 also caused a race condition in the initialization of the GUIDs). But when you need to do that much hacking to potentially work around a Wine bug, who knows what else will be broken. So it's probably best to stick with Wine Staging 7.20 for now.

Quote:
Originally Posted by Steve9600 View Post
Btw what is [ann] stand for in the title of this thread?
ANNouncement. Developers usually prefix announcement posts in mailing lists and forums with that when they announce new releases of their software.
robbert-vdh is offline   Reply With Quote
Old 11-19-2022, 06:32 AM   #483
Steve9600
Human being with feelings
 
Join Date: Aug 2022
Posts: 14
Default

Quote:
Originally Posted by robbert-vdh View Post
Yeah like I said, Wine 7.21 still breaks the builds up on GitHub. You may be able to it to work if you build it without the --unity=on flag and/or without VST3 support (since Wine 7.21 also caused a race condition in the initialization of the GUIDs). But when you need to do that much hacking to potentially work around a Wine bug, who knows what else will be broken. So it's probably best to stick with Wine Staging 7.20 for now.
I agree!


ANNouncement. Developers usually prefix announcement posts in mailing lists and forums with that when they announce new releases of their software.
Thanks I did not know that
Steve9600 is offline   Reply With Quote
Old 11-23-2022, 01:48 PM   #484
/AND/
Human being with feelings
 
Join Date: Aug 2022
Posts: 150
Default

Hi there,

yabridge started crashing Reaper out of a sudden on Fedora 37. Just yesterday I had it working great, and I think I did 'dnf upgrade' which upgraded a bunch of packages, can't recall which ones. Now it says 'Failed to start the Wine plugin host; check yabridge's output for more ...' (the message is truncated) for plenty of Windows VSTs.

I thought it was related to that Wine 7.21 issue, but wine --version prints: 'wine-7.20 (Staging)' for me (BTW should I still use staging?). Reaper terminal gives no clue except for this message:

'WARNING: Your locale is broken. Yabridge was kind enough to monkey patch it for you in this DAW session, but you should probably take a look at it

terminate called without an active exception'

How can I precisely analyse what's going on? There's no yabridge log in .vst nor .vst3.

Thanks,
- A

BTW Where's that Discord server at? I don't find a link to it anywhere ...
/AND/ is offline   Reply With Quote
Old 11-23-2022, 02:04 PM   #485
robbert-vdh
Human being with feelings
 
Join Date: Nov 2020
Posts: 253
Default

Quote:
Originally Posted by /AND/ View Post
Hi there,

yabridge started crashing Reaper out of a sudden on Fedora 37. Just yesterday I had it working great, and I think I did 'dnf upgrade' which upgraded a bunch of packages, can't recall which ones. Now it says 'Failed to start the Wine plugin host; check yabridge's output for more ...' (the message is truncated) for plenty of Windows VSTs.

I thought it was related to that Wine 7.21 issue, but wine --version prints: 'wine-7.20 (Staging)' for me (BTW should I still use staging?). Reaper terminal gives no clue except for this message:

'WARNING: Your locale is broken. Yabridge was kind enough to monkey patch it for you in this DAW session, but you should probably take a look at it

terminate called without an active exception'

How can I precisely analyse what's going on? There's no yabridge log in .vst nor .vst3.
Probably start by trying to run yabridge-host.exe standalone. Yabridgectl will also do this for you when you run yabridgectl sync though. If you installed it through your package manager you can just run
Code:
yabridge-host.exe
in a terminal. (don't put wine in front of there) If your yabridge files are in ~/.local/share/yabridge, you can run
Code:
~/.local/share/yabridge/yabridge-host.exe
to do the same thing (again, no wine). That should show you a usage message. If it does, there are no problems with Wine and your issue probably lies elsewhere (and you should maybe also look at that broken locale).

Quote:
Originally Posted by /AND/ View Post
BTW Where's that Discord server at? I don't find a link to it anywhere ...
Right here. If you need to find it again, it's also linked at the top of the yabridge readme, in the troubleshooting section in the readme, and when creating an issue on the repo.
robbert-vdh is offline   Reply With Quote
Old 11-23-2022, 04:47 PM   #486
/AND/
Human being with feelings
 
Join Date: Aug 2022
Posts: 150
Default

Thanks Robert for your quick reply. I fixed it by creating a new container and reinstalling wine. It seems Wine was the problem, although can't pinpoint why.
/AND/ is offline   Reply With Quote
Old 11-24-2022, 05:18 AM   #487
Steve9600
Human being with feelings
 
Join Date: Aug 2022
Posts: 14
Default Yabridge discord link

@robert-vdh
I keep getting a error that the discord link has expired or invalid.
Steve9600 is offline   Reply With Quote
Old 11-24-2022, 06:14 AM   #488
robbert-vdh
Human being with feelings
 
Join Date: Nov 2020
Posts: 253
Default

Quote:
Originally Posted by Steve9600 View Post
@robert-vdh
I keep getting a error that the discord link has expired or invalid.
Link's working for me. Both from this thread and from the yabridge home page. Maybe try copy-pasting it manually? You can also copy-paste pyNeweqadf on Discord itself when you go to Add a server -> Join a server.

https://discord.gg/pyNeweqadf
robbert-vdh is offline   Reply With Quote
Old 11-24-2022, 06:19 AM   #489
Steve9600
Human being with feelings
 
Join Date: Aug 2022
Posts: 14
Default Yabridge discord link

I have a support request I’m waiting on a reply.
I live in a dead hole for mobile phones and that is what they use for verifying you.
So that may be the issue, we will find out.
Thanks for the reply I will post the responce.
Steve9600 is offline   Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT -7. The time now is 10:28 PM.


Powered by vBulletin® Version 3.8.11
Copyright ©2000 - 2022, vBulletin Solutions Inc.